QXmpp: QXmppMucRoomInfo Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppMucRoomInfo Class Reference
Inheritance diagram for QXmppMucRoomInfo:

## Public Member Functions
std::optional< bool > | subjectChangeable () const
| Returns whether the room subject can be modified by participants.
void | setSubjectChangeable (std::optional< bool > newSubjectChangeable)
| Sets whether the room subject can be modified by participants.
QString | subject () const
| Returns Current Discussion Topic.
void | setSubject (const QString &newSubject)
| Sets Current Discussion Topic.
std::optional< quint32 > | occupants () const
| Returns Current Number of Occupants in Room.
void | setOccupants (std::optional< quint32 > newOccupants)
| Sets Current Number of Occupants in Room.
QString | language () const
| Returns Natural Language for Room Discussions.
void | setLanguage (const QString &newLanguage)
| Sets Natural Language for Room Discussions.
QString | description () const
| Returns Short Description of Room.
void | setDescription (const QString &newDescription)
| Sets Short Description of Room.
QStringList | contactJids () const
| Returns Contact Addresses (normally, room owner or owners).
void | setContactJids (const QStringList &newContactJids)
| Sets Contact Addresses (normally, room owner or owners).
std::optional< quint32 > | maxHistoryFetch () const
| Returns Maximum Number of History Messages Returned by Room.
void | setMaxHistoryFetch (std::optional< quint32 > newMaxHistoryFetch)
| Sets Maximum Number of History Messages Returned by Room.
QStringList | avatarHashes () const
| Returns hashes of the vCard-temp avatar of this room.
void | setAvatarHashes (const QStringList &hashes)
| Sets hashes of the vCard-temp avatar of this room.
Public Member Functions inherited from QXmppExtensibleDataFormBase
QList< QXmppDataForm::Field > | unknownFields () const
void | setUnknownFields (const QList< QXmppDataForm::Field > &unknownFields)
Public Member Functions inherited from QXmppDataFormBase
virtual QXmppDataForm | toDataForm () const

## Static Public Member Functions
static std::optional< QXmppMucRoomInfo > | fromDataForm (const QXmppDataForm &)
| Tries to parse form into QXmppMucRoomInfo.

## Static Public Attributes
static constexpr QStringView | DataFormType = QXmpp::Private::ns_muc_roominfo
| FORM_TYPE of this data form.

## Protected Member Functions
QString | formType () const override
bool | parseField (const QXmppDataForm::Field &) override
void | serializeForm (QXmppDataForm &) const override
Protected Member Functions inherited from QXmppExtensibleDataFormBase
void | parseForm (const QXmppDataForm &) override
Protected Member Functions inherited from QXmppDataFormBase
std::optional< quint32 > | parseUInt (const QVariant &variant)
std::optional< quint64 > | parseULongLong (const QVariant &variant)
std::optional< bool > | parseBool (const QVariant &variant)

## Additional Inherited Members
Static Protected Member Functions inherited from QXmppDataFormBase
static bool | fromDataForm (const QXmppDataForm &form, QXmppDataFormBase &parent)
template<typename T>
static void | serializeValue (QXmppDataForm &form, QXmppDataForm::Field::Type type, const QString &name, const T &value)
template<typename T>
static void | serializeNullable (QXmppDataForm &form, QXmppDataForm::Field::Type type, QStringView name, const T &value)
template<typename T>
static void | serializeEmptyable (QXmppDataForm &form, QXmppDataForm::Field::Type type, QStringView name, const T &value)
template<typename T, typename ValueConverter = T (*)(T)>
static void | serializeOptional (QXmppDataForm &form, QXmppDataForm::Field::Type type, QStringView name, const std::optional< T > &optional, ValueConverter convert=[](T a) { return a;})
template<typename T>
static void | serializeOptionalNumber (QXmppDataForm &form, QXmppDataForm::Field::Type type, QStringView name, std::optional< T > optional)
static void | serializeDatetime (QXmppDataForm &form, const QString &name, const QDateTime &datetime, QXmppDataForm::Field::Type type=QXmppDataForm::Field::TextSingleField)

## Detailed Description

muc#roominfo form as defined in XEP-0045: Multi-User Chat.

Since
  QXmpp 1.13

## Member Function Documentation

## ◆ formType()

QString QXmppMucRoomInfo::formType | ( |  | ) | const
| overrideprotectedvirtual

Returns the 'FORM_TYPE' value of the parsed form.

Implements QXmppDataFormBase.

## ◆ parseField()

bool QXmppMucRoomInfo::parseField | ( | const QXmppDataForm::Field & |  | ) |
| overrideprotectedvirtual

Returns true if a field has been parsed.

Should be reimplemented to do actual parsing. All fields that can't be parsed end up as unknownFields().

Reimplemented from QXmppExtensibleDataFormBase.

## ◆ serializeForm()

void QXmppMucRoomInfo::serializeForm | ( | QXmppDataForm & |  | ) | const
| overrideprotectedvirtual

This is called the object is serialized to a QXmppDataForm. You need to create a new QXmppDataForm and serialize all fields and values.

Reimplemented from QXmppExtensibleDataFormBase.

The documentation for this class was generated from the following files:

- QXmppMucForms.h
- QXmppMucForms.cpp